# Get Webhooks GET https://api.shipbob.com/1.0/webhook All parameters are AND filters Reference: https://developer.shipbob.com/v2.0/api/webhooks/get-webhooks ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: api-1.0 version: 1.0.0 paths: /1.0/webhook: get: operationId: get-webhooks summary: Get Webhooks description: All parameters are AND filters tags: - subpackage_webhooks parameters: - name: Topic in: query description: Topic of the webhooks requested required: false schema: type: string - name: Page in: query description: Page of Webhooks to get required: false schema: type: integer - name: Limit in: query description: Amount of Webhooks per page to request required: false schema: type: integer - name: Authorization in: header description: Authentication using Personal Access Token (PAT) token required: true schema: type: string responses: '200': description: Success content: application/json: schema: $ref: '#/components/schemas/Webhooks.WebhookViewModelArray' '400': description: Bad Request content: application/json: schema: $ref: >- #/components/schemas/Webhooks.Get.1.0.Webhook.Bad.Request.Object '401': description: No access right at this time content: application/json: schema: description: Any type '403': description: No access content: application/json: schema: description: Any type servers: - url: https://api.shipbob.com - url: https://sandbox-api.shipbob.com components: schemas: Webhooks.Topics: type: string enum: - order_shipped - shipment_delivered - shipment_exception - shipment_onhold - shipment_cancelled title: Webhooks.Topics Webhooks.WebhookViewModel: type: object properties: created_at: type: string format: date-time description: Timestamp the webhook subscription was created id: type: integer description: ID of the webhook subscription subscription_url: type: - string - 'null' format: uri description: URL subscription events will be posted to topic: $ref: '#/components/schemas/Webhooks.Topics' title: Webhooks.WebhookViewModel Webhooks.WebhookViewModelArray: type: array items: $ref: '#/components/schemas/Webhooks.WebhookViewModel' title: Webhooks.WebhookViewModelArray Webhooks.Get.1.0.Webhook.Bad.Request.Object: type: object additionalProperties: type: array items: type: string title: Webhooks.Get.1.0.Webhook.Bad.Request.Object securitySchemes: PAT: type: http scheme: bearer description: Authentication using Personal Access Token (PAT) token OAuth2: type: http scheme: bearer description: OAuth2 authentication using JWT tokens ``` ## SDK Code Examples ```python Webhooks_getWebhooks_example import requests url = "https://api.shipbob.com/1.0/webhook" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript Webhooks_getWebhooks_example const url = 'https://api.shipbob.com/1.0/webhook'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Webhooks_getWebhooks_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.shipbob.com/1.0/webhook" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Webhooks_getWebhooks_example require 'uri' require 'net/http' url = URI("https://api.shipbob.com/1.0/webhook") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Webhooks_getWebhooks_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.shipbob.com/1.0/webhook") .header("Authorization", "Bearer ") .asString(); ``` ```php Webhooks_getWebhooks_example request('GET', 'https://api.shipbob.com/1.0/webhook', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Webhooks_getWebhooks_example using RestSharp; var client = new RestClient("https://api.shipbob.com/1.0/webhook"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Webhooks_getWebhooks_example import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/1.0/webhook")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```